import { select, csv , scaleLinear, max,
        axisLeft, axisBottom, scaleBand } from 'd3'

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');
const xValue = d => d.population
const yValue = d => d.country
const margin = {top: 20, left: 60, right: 20, bottom: 20}
const innerHeight = height - margin.top-margin.bottom
const innerWIdth = width - margin.left - margin.right

const render = data => {
  const xScale = scaleLinear()
  			.domain([0, max(data, xValue)])
  			.range([0, innerWidth])
  
  const yScale = scaleBand()
  				.domain(data.map(yValue))
  				.range([0,innerHeight])
  				.padding(0,1)
  
  console.log(yScale.domain())
  
  const g = svg.append('g')
  	.attr('transform', `translate(${margin.left},${margin.top})`)

  g.append('g').call(axisLeft(yScale));
  g.append('g').call(axisBottom(xScale));
  	.attr('transform',`translate(0, ${innerHeight})`);
  
	g.selectAll('rect').data(data)
  .enter().append('rect')
  .attr('y', d => yScale(d.country))
  .attr('width', d => xScale(d.population))
  .attr('height',yScale.bandwidth());
}


csv('data.csv').then(data => {
  data.forEach(d => {
  	d.population = +d.population * 1000
  });
  render(data)
});
                     